Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Class | PImage

Name

### filter()

Examples

    PImage a;
    a = loadImage("archcrop.jpg");
    image(a, 0, 0);
    a.filter(GRAY);
    image(a, 50, 0);

    PImage a, b;
    a = loadImage("archcrop.jpg");
    b = loadImage("archcrop.jpg");
    a.filter(THRESHOLD, .6);
    image(a, 0, 0);
    b.filter(THRESHOLD, .4);
    image(b, 50, 0);

Description

Filters an image as defined by one of the following modes:
THRESHOLD - converts the image to black and white pixels depending if they are above or below the threshold defined by the level parameter. The level must be between 0.0 (black) and 1.0(white). If no level is specified, 0.5 is used.
GRAY - converts any colors in the image to grayscale equivalents
INVERT - sets each pixel to its inverse value
POSTERIZE - limits each channel of the image to the number of colors specified as the level parameter
BLUR - executes a Guassian blur with the level parameter specifying the extent of the blurring. If no level parameter is used, the blur is equivalent to Guassian blur of radius 1.
OPAQUE - sets the alpha channel to entirely opaque.

Syntax

    img.filter(MODE)
    img.filter(MODE, param)

Parameters

img | any variable of type PImage
MODE | Either THRESHOLD, GRAY, INVERT, POSTERIZE, BLUR, or OPAQUE
param | int or float in the range from 0 to 1

Usage | Web & Application

Updated on November 14, 2006 02:30:55am PST